=== debian/changelog ===
ros-robot-state-publisher (1.13.6-7) unstable; urgency=medium

  * Scrap symbols files.
     - Updates of dependencies like boost make the package FTBFS because
       symbols change and we don't want to update the symbols files every time.

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 21 Nov 2018 15:17:49 +0100

ros-robot-state-publisher (1.13.6-6) unstable; urgency=medium

  * Strip Debian revision from symbols
  * Update symbols files using pkgkde-symbolshelper
  * Bump policy version
  * Add MA hint
  * Add Build-Depends-Package to symbols

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 13:03:55 +0100

ros-robot-state-publisher (1.13.6-5) unstable; urgency=medium

  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 23:11:54 +0200

ros-robot-state-publisher (1.13.6-4) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Add compilation test

  [ Jochen Sprickerhof ]
  * Add librosbag-storage-dev as tests dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 09:36:02 +0200

ros-robot-state-publisher (1.13.6-3) unstable; urgency=medium

  * Update symbols files using pkgkde-symbolshelper

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 15:24:55 +0200

ros-robot-state-publisher (1.13.6-2) unstable; urgency=medium

  * Start using pkgkde-symbolshelper and add pkg-kde-tools to Build-Depends
    and --with pkgkde_symbolshelper to dh invocation in debian/rules
  * Generate initial symbols using pkgkde-symbolshelper

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 13:13:14 +0200

ros-robot-state-publisher (1.13.6-1) unstable; urgency=medium

  * New upstream version 1.13.6
  * debian/libjoint-state-listener0d.symbols: update for 1.13.6

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 11:18:42 +0200

ros-robot-state-publisher (1.13.5-1) unstable; urgency=medium

  * Initial release (Closes: #840791)

 -- Johannes Schauer <josch@debian.org>  Thu, 05 Apr 2018 00:13:29 +0200
