=== debian/control ===
Source: ros-robot-state-publisher
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: debhelper (>= 11), catkin, liborocos-kdl-dev, libroscpp-dev,
		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_state_publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-state-publisher

Package: librobot-state-publisher-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librobot-state-publisher-solver0d (= ${binary:Version}), libjoint-state-listener0d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev
Description: development files for Robot OS robot_state_publisher library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the development files for the library.

Package: librobot-state-publisher-solver0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS robot_state_publisher solver library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the library.

Package: libjoint-state-listener0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS robot_state_publisher listener library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the joint-state-listener library.

Package: ros-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS robot_state_publisher
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the tools.
