=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr
Depends: @, @builddeps@, python-rosbag, librosbag-storage-dev, xml2, python-rostest, python-roslaunch

Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin
