=== debian/changelog ===
ros-robot-state-publisher (1.14.0-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:26:59 +0100

ros-robot-state-publisher (1.14.0-3) unstable; urgency=medium

  * Add versioned depends on rostest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Oct 2019 17:20:20 +0100

ros-robot-state-publisher (1.14.0-2) unstable; urgency=medium

  * Convert to Python 3 (Closes: #943250)
  * simplify d/watch
  * restrict d/watch to ROS1
  * Bump policy versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 16:38:27 +0200

ros-robot-state-publisher (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update copyright
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * rebase patches
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Sep 2019 19:44:07 +0200
