=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ros-robot-state-publisher
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper (>= 11), catkin, liborocos-kdl-dev, libroscpp-dev,
+Build-Depends: debhelper-compat (= 12), catkin, liborocos-kdl-dev, libroscpp-dev,
 		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
 		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
