=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# since we do not run tests at compile time (see below for reasons) we also
# don't compile the tests
override_dh_auto_configure:
	dh_auto_configure -- -DCATKIN_ENABLE_TESTING=OFF

# the tests run by "make run_tests" can only be run after the package has been
# installed, so we disable running these tests at compile time
override_dh_auto_test:
