=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr
Depends: @, @builddeps@, python3-rosbag, librosbag-storage-dev, xml2, python3-rostest (>= 1.14.3+ds1-8), python3-roslaunch

Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin
