=== debian/changelog ===
ros-robot-state-publisher (1.15.1-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 18:14:56 +0100

ros-robot-state-publisher (1.15.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 09:07:03 +0200

ros-robot-state-publisher (1.15.1-2) experimental; urgency=medium

  * Use lo for ROS_IP

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:10:17 +0200

ros-robot-state-publisher (1.15.1-1) experimental; urgency=medium

  * New upstream version 1.15.1
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump policy and debhelper versions
  * Add patch for tests using internet
  * Drop autopkgtest doing unit testing
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 17:16:08 +0200
