=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ros-robot-state-publisher
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 12), catkin, liborocos-kdl-dev, libroscpp-dev,
+Build-Depends: debhelper-compat (= 13), catkin, liborocos-kdl-dev, libroscpp-dev,
 		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
-		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
-Standards-Version: 4.4.1
+		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev, python3-rostest
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
@@ -20,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: librobot-state-publisher-solver0d (= ${binary:Version}), libjoint-state-listener0d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev
+Depends: librobot-state-publisher-solver1d (= ${binary:Version}), libjoint-state-listener1d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev, libsensor-msgs-dev
 Description: development files for Robot OS robot_state_publisher library
  This package is part of Robot OS (ROS). This package allows you to publish the
  state of a robot to tf. Once the state gets published, it is available to all
@@ -30,7 +28,7 @@
  .
  This package contains the development files for the library.
 
-Package: librobot-state-publisher-solver0d
+Package: librobot-state-publisher-solver1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -43,7 +41,7 @@
  .
  This package contains the library.
 
-Package: libjoint-state-listener0d
+Package: libjoint-state-listener1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
