=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-robot-state-publisher-$1.tar.gz%" \
    https://github.com/ros/robot_state_publisher/tags \
    (?:.*?/)?v?(1\.\d[\d.]*)\.tar\.gz
