=== debian/changelog ===
ros-robot-state-publisher (1.15.2-5) unstable; urgency=medium

  * Added patch for log4cxx

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 16:19:19 +0100

ros-robot-state-publisher (1.15.2-4) unstable; urgency=medium

  * Drop libpcre3-dev build dependency (not used, Closes: #999970)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Jan 2022 12:11:09 +0100

ros-robot-state-publisher (1.15.2-3) unstable; urgency=medium

  * Cleanup testing

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Oct 2021 08:14:16 +0200

ros-robot-state-publisher (1.15.2-2) unstable; urgency=medium

  * Skip broken rosbag tests on BE architectures

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Oct 2021 16:02:35 +0200

ros-robot-state-publisher (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2
  * Drop 0002-Remove-test-downloading-files.patch (obsolete)
  * Add support for DEB_BUILD_OPTIONS=nocheck

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Oct 2021 14:20:33 +0200

ros-robot-state-publisher (1.15.1-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:54 +0200

ros-robot-state-publisher (1.15.1-5) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:51:50 +0200
