=== debian/control ===
--- 
+++ 
@@ -4,11 +4,24 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
-           Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin, liborocos-kdl-dev, libroscpp-dev,
-		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
-		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev, python3-rostest
-Standards-Version: 4.5.1
+           Johannes 'josch' Schauer <josch@debian.org>,
+           Timo Röhling <roehling@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               catkin (>= 0.8.10-1~),
+               libeigen3-dev,
+               libkdl-parser-dev,
+               liborocos-kdl-dev,
+               libroscpp-dev,
+               librostest-dev,
+               libgtest-dev,
+               libtf-dev,
+               libtf2-kdl-dev,
+               libtinyxml-dev,
+               liburdfdom-dev,
+               liburdfdom-headers-dev,
+               python3-rosbag <!nocheck>,
+               python3-rostest <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
