=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=$(BUILD_TESTING) \
		-DHOST_ENDIANNESS=$(DEB_HOST_ARCH_ENDIAN)

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results
