=== debian/tests/control ===
Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin
