=== debian/changelog ===
ros-robot-state-publisher (1.15.3-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.15.3
  * Update patches.
    Merged: 0003-Drop-CXX-standards-for-log4cxx.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3
  * Migrate to dh-ros (Closes: #1125761)

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 13:58:12 +0100
