=== debian/control ===
Source: ros-robot-state-publisher
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Johannes 'josch' Schauer <josch@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin (>= 0.8.10-1~),
 libeigen3-dev,
 libgtest-dev,
 libkdl-parser-dev,
 liborocos-kdl-dev,
 libroscpp-dev,
 librostest-dev,
 libtf-dev,
 libtf2-kdl-dev,
 libtinyxml-dev,
 liburdfdom-dev,
 liburdfdom-headers-dev,
 python3-rosbag <!nocheck>,
 python3-rostest <!nocheck>,
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_state_publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-state-publisher

Package: librobot-state-publisher-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjoint-state-listener1d (= ${binary:Version}),
 libkdl-parser-dev,
 liborocos-kdl-dev,
 librobot-state-publisher-solver1d (= ${binary:Version}),
 libsensor-msgs-dev,
 libtf2-kdl-dev,
 ${misc:Depends},
Description: development files for Robot OS robot_state_publisher library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the development files for the library.

Package: libjoint-state-listener1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS robot_state_publisher listener library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the joint-state-listener library.

Package: librobot-state-publisher-solver1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS robot_state_publisher solver library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the library.

Package: ros-robot-state-publisher
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS robot_state_publisher
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the tools.
