=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export ROS_CONFIGURE_ARGS = -DHOST_ENDIANNESS=$(DEB_HOST_ARCH_ENDIAN)

%:
	dh $@ --buildsystem=ros
