=== debian/tests/control ===
Tests:
 compilation,
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 catkin,
 cmake,
 librobot-state-publisher-dev,
