=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: robot_state_publisher
Source: https://api.github.com/repos/ros/robot_state_publisher/git/matching-refs/tags/1\.
